%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Returns node number assuming regular grid, and 
% ground at bottom-right of model. Grid starts at
% top-right, with coordinates (1,1)
%
% Carlos J. Cela, 2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function n = getnodenumber(ys, xs, y, x)

  % Convert from cell to node space
  xn = xs+1;
  yn = ys+1;

  % Calculate node number
  n = (y-1)*xn + x;

  % Account for ground at bootm-rigth
  if n==(yn*xn)
    n=0;
  end

end
